net.i2p.crypto

## Class CryptixAESKeyCache.KeyCacheEntry

- java.lang.Object
- - net.i2p.crypto.CryptixAESKeyCache.KeyCacheEntry

- Enclosing class:
    CryptixAESKeyCache

      public static final class CryptixAESKeyCache.KeyCacheEntry
      extends Object

  all the data alloc'ed in a makeKey call

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int[][]` | `Kd`
    `(package private) int[][]` | `Ke`
    `(package private) Object[]` | `key`
    `(package private) int[]` | `tk`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CryptixAESKeyCache.KeyCacheEntry()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Ke

          int[][] Ke

    - #### Kd

          int[][] Kd

    - #### tk

          int[] tk

    - #### key

          Object[] key

  - ### Constructor Detail

    - #### CryptixAESKeyCache.KeyCacheEntry

          public CryptixAESKeyCache.KeyCacheEntry()